Markets

Look up venue market outcomes by external identifier

GET
/venue-market-outcomes

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

externalIdentifier*array<string>|string
venue?string
Value in"kalshi""polymarket""limitless""predict""pred""tiprun""myriad""hyperliquid""novig""prophetx""betdex""lighter"

Response Body

200

application/json
  1. response
data*array<>
matchedVenueMarkets*array<>
nextCursor*string
hasMore*boolean
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/venue-market-outcomes?externalIdentifier=string'
Example Response
{  "data": [    {      "id": "string",      "venueMarketId": "string",      "externalIdentifier": "string",      "label": "string",      "title": "string",      "price": 0,      "priceChange24h": 0,      "winner": true,      "payoutPerShare": 0,      "refundAtCost": true,      "winnerSource": "venue",      "matchedVenueMarketOutcomes": [        {          "venueMarketId": "string",          "venueMarketOutcomeId": "string"        }      ]    }  ],  "matchedVenueMarkets": [    {      "id": "string",      "venue": "kalshi",      "deployerVenue": "string",      "externalIdentifier": "string",      "question": "string",      "detailsDeferred": true,      "description": "string",      "rulesPrimary": "string",      "rulesSecondary": "string",      "volume": 0,      "volume24hr": 0,      "status": "open",      "conditionId": "string",      "arbReturn": 0,      "shortTitle": "string",      "image": "string",      "venueEvent": {        "id": "string",        "externalIdentifier": "string",        "slug": "string",        "title": "string",        "series": {          "id": "string",          "name": "string",          "venue": "string",          "externalIdentifier": "string"        }      },      "venueMarketOutcomes": [        {          "id": "string",          "venueMarketId": "string",          "externalIdentifier": "string",          "label": "string",          "title": "string",          "price": 0,          "winner": true,          "payoutPerShare": 0,          "refundAtCost": true,          "winnerSource": "venue"        }      ]    }  ],  "nextCursor": "string",  "hasMore": true}